import { createApp } from 'vue';
import { createPinia } from 'pinia';
import App from './App.vue';
import router from './router';
import i18n from './i18n';
import appSetting from './app-setting';

import * as bootstrap from 'bootstrap';
window.bootstrap = bootstrap;

import './assets/sass/components/custom-modal.scss';
import './assets/sass/lavanderia.scss';

import PerfectScrollbar from 'vue3-perfect-scrollbar';
import 'vue3-perfect-scrollbar/dist/vue3-perfect-scrollbar.css';

import { createHead } from '@vueuse/head';
import Swal from 'sweetalert2';
import Maska from 'maska';

window.Swal = Swal;

const app = createApp(App);
const pinia = createPinia();
const head = createHead();

app.use(pinia);
app.use(router);
app.use(i18n);
app.use(PerfectScrollbar);
app.use(Maska);
app.use(head);

window.$appSetting = appSetting;
window.$appSetting.init();

app.mount('#app');
